Bug 628754 - Front matter rendered improperly if title, product, and/or authors list is too long
Front matter rendered improperly if title, product, and/or authors list is to...
Product: Publican
Classification: Community
Component: publican (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Depends On:
  Show dependency treegraph
Reported: 2010-08-30 19:08 EDT by Misty Stanley-Jones
Modified: 2014-06-18 03:03 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-12-16 19:17:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Misty Stanley-Jones 2010-08-30 19:08:37 EDT
Description of problem:
In the Publican JBoss brand, the following causes some of the authors to scroll off the page in PDF, becoming orphans:
- Long product name
- Long title
- Subtitle
- More than 3 authors

Version-Release number of selected component (if applicable):

How reproducible:
Make a book with the above criteria.

Steps to Reproduce:
Actual results:
Orphaned authors, and excess space above the image on the title page.

Expected results:
Padding above the image on the title page should adjust based on the title and product length. This could be accomplished by CSS, with a clever use of max-height on the title-matter and image divs, and anchoring the title matter to the top of the div and the image to the bottom. An alternative would be to arrange authors in two columns, if there are more than 3 of them.

Additional info:
Comment 1 Ruediger Landmann 2010-08-30 21:34:01 EDT
Pending a more robust solution, Version 2.1 of the brand package reduces the whitespace above the logo from 2 inches to 1 inch.

If both the product name and title run into two lines each, you can now still have five writers before anyone gets orphaned.
Comment 2 Jeff Fearn 2010-08-30 22:38:16 EDT
Another option would be to specify a depth [1] on the imagedata in the corpauthor tag in the Book Info. file.


<imagedata depth="200px" fileref="Common_Content/images/title_logo.svg" />

This can be used to nuance the layout in individual books.

[1] depth is the vertical size, I'd have called it height.
Comment 3 Misty Stanley-Jones 2011-07-28 18:16:26 EDT
What's going on with this one?
Comment 4 Jeff Fearn 2012-12-16 19:17:18 EST
Fixed by switching PDF tools in Publican 3.0

Note You need to log in before you can comment on or make changes to this bug.